-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Thu, 11 Jan 2001 21:03, I think Bostjan JERKO wrote:
> Hi !
>
> I am trying to install (compile) ruby 1.6.2 on my Debian 2.2 machine but I
> get "Segmentation fault" when "make-ing".
>
> Any ideas what might be wrong ?
>
> B.

Use apt-get install ruby

I have apt pointed to the testing tree so my /etc/apt/sources.list file has 
the following entries in it.

deb http://http.us.debian.org/debian testing main contrib non-free
deb http://non-us.debian.org/debian-non-US testing/non-US main contrib 
non-free    <-- all on one line

my ruby version is:
synack@eugene:~/ruby$ ruby --version
ruby 1.6.2 (2000-11-27) [i486-linux]

Once you have the version you want you can switch to back to whichever tree 
you want, i'm not sure if unstable has a newer version than 1.6.2 in it - it 
may well do...

I hope this helps you out.

- -- 
Signed,
Holden Glova
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6XXJIzrxa+Gy/b/4RAmKWAJ4hwoGDmY0DEYfxylIMobCuAloC0wCdHsUs
LtetFdLskCkKjgwR968DxAQ=
=OIAI
-----END PGP SIGNATURE-----